commit:     11c0d37ac3b5eb33fadafed63a8506214469ea79
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 15 18:15:36 2018 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Apr 15 19:00:15 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11c0d37a

games-arcade/circuslinux: Stop using games.eclass

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 .../circuslinux/circuslinux-1.0.3-r1.ebuild        | 37 ++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/games-arcade/circuslinux/circuslinux-1.0.3-r1.ebuild 
b/games-arcade/circuslinux/circuslinux-1.0.3-r1.ebuild
new file mode 100644
index 00000000000..bc3c43f3483
--- /dev/null
+++ b/games-arcade/circuslinux/circuslinux-1.0.3-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit desktop
+
+DESCRIPTION="clone of the Atari 2600 game \"Circus Atari\""
+SRC_URI="ftp://ftp.sonic.net/pub/users/nbs/unix/x/circus-linux/${P}.tar.gz";
+HOMEPAGE="http://www.newbreedsoftware.com/circus-linux/";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~x86"
+IUSE=""
+
+DEPEND="media-libs/libsdl
+       media-libs/sdl-image[png]
+       media-libs/sdl-mixer[mod]"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       default
+       sed -i \
+               -e "/^install-data-am/d" \
+               Makefile.in \
+               || die
+       sed -i \
+               -e 's/\$(pkgdatadir)/$(DESTDIR)&/' \
+               data/Makefile.in \
+               || die
+}
+
+src_install () {
+       default
+       newicon data/images/${PN}-icon.xpm ${PN}.xpm
+       make_desktop_entry ${PN} "Circus Linux!"
+}

Reply via email to